#
# spec file for package tcl (Version 8.3.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake xdevel xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xshared

Name:         tcl
%define THREADS --disable-threads
%define TCL	tcl8.3.3
%define TKK	tk8.3.3
%define ITCL	itcl3.2
%define TIX	tix-8.1.0
%define EXP	expect5.32
%define TCLX	tclx8.3
%define V_TCL   8.3
%define V_TK    8.3
%define V_ITCL  3.2
%define V_TCLX  8.3
%define V_TIX   8.1.8.3
%define V_EXP   5.32
%define prefix	/usr
%define mandir  /usr/share/man
%define xbin	/usr/X11R6/bin
Version:      8.3.3
Release:      100
BuildRoot:      /var/tmp/%{name}-root
Summary:      The Tcl script language
Copyright:      The Regents of the University of California, Sun Microsystems, Inc,
Group:          Development/Languages/Tcl
Autoreqprov: 	on
Provides:	tclsh tclsh8.3
Source0:	tcl%{version}.tar.bz2
Source1:	tk%{version}.tar.bz2
Source2:	tix-8.1.0.tar.bz2
Source3:        itcl3.2.tar.bz2
Source4:	expect5.32.tar.bz2
Source5:	tclx8.3.tar.bz2
Patch0:		tcl%{version}.dif
Patch1:		tk%{version}.dif
Patch2:		tix-8.1.0.dif
Patch3:         itcl3.2.dif
Patch4:		expect5.32.dif
Patch5:		tclx8.3.dif

%description
Tcl is a simple to use text-based
scripting language with many built-in features that make it especially
nice for writing interactive scripts similar to perl.
This package is required if you want to install Tk.

Authors:
--------
    Dr. John Ousterhout <john.ousterhout@eng.sun.com>

SuSE series: tcl

%package -n tk
Version:      8.3.3
Release:      100
Group:		Development/Languages/Tcl
Summary:      TK toolkit for TCL
Provides:	wish wish8.3
Requires:	tcl

%description -n tk
TK toolkit for TCL

Authors:
--------
    John Ousterhout <john.ousterhout@eng.sun.com>

SuSE series: tcl

%package -n tclx
Version:      8.3
Release:      136
Group:		Development/Languages/Tcl
Summary:      TclX - Extended Tcl
Requires:	tcl tk

%description -n tclx
Extended Tcl is a superset of standard Tcl.
Extended Tcl has three basic functional areas:
A set of new commands, a Tcl shell (i.e., a Unix shell-style command
line and interactive environment), and a user-extensible library of
useful Tcl procedures, any of which can be automatically loaded on the
first attempt to execute it.
In addition, a detailed help system is available for Tcl/Tk: tclhelp.

Authors:
--------
    Karl Lehenbauer and Mark Diekhan <info@NeoSoft.com>

SuSE series: tcl

%package -n expect
Version:      5.32
Release:      136
Group:		Development/Languages/Tcl
Copyright:	public domain
Summary:      A tool for automating interactive programs
Requires:	tcl tk

%description -n expect
Expect is a tool primarily for automating interactive applications
such as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect really
makes this stuff trivial.  Expect is also useful for testing these
applications.  Expect is described in many books, articles, papers,
and FAQs.  There is an entire book on it available from O'Reilly.

Authors:
--------
    libes@nist.gov

SuSE series: tcl

%package -n tix
Version:      8.1
Release:      136
Group:		Development/Languages/Tcl
Copyright:	1996, Expert Interface Technologies
Summary:      Tools for tk
Provides:	tixwish tixwish8.1.8.3
Requires:	tcl tk

%description -n tix
The Tix library has, by far, the greatest collection of widgets
for programming with Tcl/Tk. Highlights include: Hierarchical
List box, Directory List/Tree View, Spreadsheet, Tabular
List box, Combo Box, Motif style FileSelectBox, MS Windows style
FileSelectBox, PanedWindow, NoteBook, Spin Control widget
and many more. With these new widgets, your applications will
look great and interact with your users in intuitive ways.

SuSE series: tcl

%package -n itcl
Version:      3.2
Release:      136
Group:		Development/Languages/Tcl
Copyright:	Lucent Technologies, Inc.
Summary:      Object oriented extension for Tcl
Requires:	tcl tk

%description -n itcl
incr Tcl adds object-oriented programming facilities to Tcl.  It
was NOT designed as yet another whiz-bang object-oriented programming
language; indeed, it is patterned somewhat after C++.  It was designed
to support more structured programming in Tcl.  Scripts that grow
beyond a few thousand lines become extremely difficult to maintain.
[incr Tcl] attacks this problem in the same way that any object-
oriented programming language would, by providing mechanisms for
data encapsulation behind well-defined interfaces.

Authors:
--------
    Michael J. McLennan <michael.mclennan@att.com>
    Dr. John Ousterhout <john.ousterhout@eng.sun.com>

SuSE series: tcl

%package devel
Version:      8.3.3
Release:      100
Group:		Development/Languages/Tcl
Copyright:	See the packages tcl, tk, tix, itcl and expect.
Summary:      Header files and static libraries for Tcl/Tk etc
Requires:	tcl = %{version}
Obsoletes: tcld
Provides: tcld

%description devel
This package contains the configuration scripts, header files, and
static libraries for the packages tcl, tk, tix, itcl, expect, and tclx.
It is only required to compile and link C programs and extensions for
the named packages.

SuSE series: tcl

%prep
# touch NO_STATIC_LIBS to speedup manual builds
%define BUILD_STATIC_LIBS %(test -f %_sourcedir/NO_STATIC_LIBS; echo $?)
rm -rf %{TCL} %{TKK} %{TIX} %{ITCL} %{EXP} %{TCLX}
%setup -q -n . -T -D -b 0 -b 1 -b 2 -b 3 -b 4 -b 5
cd %{TCL}
%patch -P 0 
cd ../%{TKK}
%patch -P 1
cd ../%{TIX}
%patch -P 2
cd ../%{ITCL}
%patch -P 3
cd ../%{EXP}
%patch -P 4
cd ../%{TCLX}
%patch -P 5
cd ..
# ln -sf %{TCL} tcl8.0
# ln -sf %{TKK} tk8.0
# A better version of this manpage comes with tclx
rm %{TCL}/doc/memory.n

%build
export LANG=en_US
export CFLAGS=$RPM_OPT_FLAGS
#########################
# build Tcl, Tk and Itcl
#
chmod a+x %{ITCL}/config/*
for d in %{TCL}/unix %{TKK}/unix %{ITCL}; do pushd $d
    find -name configure -exec chmod u+w {} \;
    autoreconf --force
    %{?suse_update_config:%{suse_update_config -f config}}
%if %{BUILD_STATIC_LIBS}
    mkdir STATIC
    pushd STATIC
      ../configure -C \
	  --with-tcl=%{_builddir}/%{TCL}/unix/STATIC \
	  --with-tk=%{_builddir}/%{TKK}/unix/STATIC \
	  --enable-gcc \
	  --disable-shared \
	  %{THREADS} \
	  --prefix=%{prefix} \
	  --mandir=%{mandir}
  
      make "CFLAGS=$RPM_OPT_FLAGS" "CFLAGS_WARNING=-Wall -Wno-implicit-int"
    popd
%endif
    mkdir DYNAMIC
    pushd DYNAMIC
      ../configure -C \
	--with-tcl=%{_builddir}/%{TCL}/unix/DYNAMIC \
	--with-tk=%{_builddir}/%{TKK}/unix/DYNAMIC \
	--enable-gcc \
	--enable-shared \
	%{THREADS} \
	--prefix=%{prefix} \
	--mandir=%{mandir}
      make "CFLAGS=$RPM_OPT_FLAGS" "CFLAGS_WARNING=-Wall -Wno-implicit-int"
    popd
popd; done
############
# Build Tix
#
export LD_LIBRARY_PATH=$PWD/%{TCL}/unix/DYNAMIC
pushd %{TIX}
    chmod a+x install.sh
    cd unix
    autoreconf --force
%if %{BUILD_STATIC_LIBS}
	./configure \
		--with-tclconfig=%{_builddir}/%{TCL}/unix/STATIC \
		--with-tkconfig=%{_builddir}/%{TKK}/unix/STATIC \
		--enable-gcc \
		--disable-sam \
		--disable-shared \
		%{THREADS} \
		--prefix=%{prefix} \
		--mandir=%{mandir}
	cd tk8.3
	    ./configure \
		--with-tclconfig=%{_builddir}/%{TCL}/unix/STATIC \
		--with-tkconfig=%{_builddir}/%{TKK}/unix/STATIC \
		--enable-gcc \
		--disable-sam \
		--disable-shared \
		%{THREADS} \
		--prefix=%{prefix} \
		--mandir=%{mandir}
	    make "CFLAGS=$RPM_OPT_FLAGS" 
	    rm -f *.o
	cd ..
%endif
	./configure \
		--with-tclconfig=%{_builddir}/%{TCL}/unix/DYNAMIC \
		--with-tkconfig=%{_builddir}/%{TKK}/unix/DYNAMIC \
		--enable-gcc \
		--enable-shared \
		%{THREADS} \
		--disable-sam \
		--prefix=%{prefix} \
		--mandir=%{mandir}
    cd tk8.3
	./configure \
		--with-tclconfig=%{_builddir}/%{TCL}/unix/DYNAMIC \
		--with-tkconfig=%{_builddir}/%{TKK}/unix/DYNAMIC \
		--enable-gcc \
		--enable-shared \
		%{THREADS} \
		--disable-sam \
		--prefix=%{prefix} \
		--mandir=%{mandir}
	make "CFLAGS=$RPM_OPT_FLAGS" 
    cd ..
popd
###############
# Build TclX
#
export LD_LIBRARY_PATH=$PWD/%{TCL}/unix:$PWD/%{TKK}/unix
pushd %{TCLX}/unix
    autoreconf --force --localdir=../../%{TCL}/unix
%if %{BUILD_STATIC_LIBS}
	./configure \
		--with-tcl=%{_builddir}/%{TCL}/unix/STATIC \
		--with-tk=%{_builddir}/%{TKK}/unix/STATIC \
		--enable-gcc \
		--enable-tk \
		--disable-shared \
		%{THREADS} \
		--with-help \
		--prefix=%{prefix} \
		--mandir=%{mandir}
	make "CFLAGS=$RPM_OPT_FLAGS" 
	find .. -name "*.o" | xargs rm -f
%endif
    ./configure \
		--with-tcl=%{_builddir}/%{TCL}/unix/DYNAMIC \
		--with-tk=%{_builddir}/%{TKK}/unix/DYNAMIC \
		--enable-gcc \
		--enable-tk \
		--enable-shared \
		%{THREADS} \
		--with-help \
		--prefix=%{prefix} \
		--mandir=%{mandir}
    make "CFLAGS=$RPM_OPT_FLAGS" 
popd
###############
# Build Expect
#
pushd %{EXP}
	autoreconf --force --localdir=$PWD
	%{?suse_update_config}
	./configure \
		--with-tcl=%{_builddir}/%{TCL}/unix/DYNAMIC \
		--with-tk=%{_builddir}/%{TKK}/unix/DYNAMIC \
		--enable-symbols \
		--enable-shared \
		%{THREADS} \
		--enable-gcc \
		--prefix=%{prefix} \
		--mandir=%{mandir}
	make "CFLAGS=$RPM_OPT_FLAGS" 
popd

%install
export LANG=en_US
###########################
# install Tcl, Tk and Itcl
#
%define INSTALL_DIR install -d -m755
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT%{xbin}
fi
rm -f *.man[3n]
mv %{TKK}/doc/menubar.n %{TKK}/doc/tk_menubar.n 
mv %{TKK}/doc/dialog.n %{TKK}/doc/tk_dialog.n
find %{TCL}  -name doc | xargs ls -1 | grep '\.n$' > tcl.mann
awk '/ln.*\.n$/{print $NF}' %{TCL}/unix/mkLinks >> tclq.mann
find %{TKK}  -name doc | xargs ls -1 | grep '\.n$' > tk.mann
awk '/ln.*\.n$/{print $NF}' %{TKK}/unix/mkLinks >> tk.mann
find %{ITCL}  -name doc | xargs ls -1 | grep '\.n$' > itcl.mann
find %{TCL} %{TKK} %{ITCL} -name doc | xargs ls -1 | grep '\.3$' > all.man3
awk '/ln.*\.3$/{print $NF}' %{TCL}/unix/mkLinks %{TKK}/unix/mkLinks >> all.man3
for f in tcl.mann tk.mann itcl.mann all.man3; do
    sed 's,^.*\.\([3n]\)$,%doc %{mandir}/man\1/&.gz,' $f | sort -u > manpages.new
    mv manpages.new $f
done
for d in %{TCL}/unix %{TKK}/unix %{ITCL}; do pushd $d
    test -f mkLinks && {
	test ! -f mkLinks.in && cp mkLinks mkLinks.in 
	sed 's/ln \+\([^ ]\+\) \([^ ]\+\)/ln -sf \1.gz \2.gz/' mkLinks.in \
	    > mkLinks
    }
%if %{BUILD_STATIC_LIBS}
    pushd STATIC
      make INSTALL_ROOT=$RPM_BUILD_ROOT DESTDIR=$RPM_BUILD_ROOT install    
    popd
%endif
    pushd DYNAMIC
      make INSTALL_ROOT=$RPM_BUILD_ROOT DESTDIR=$RPM_BUILD_ROOT install
    popd
popd; done
ln -sf ../../bin/wish%{V_TK} $RPM_BUILD_ROOT%{xbin}
ln -sf ../../bin/wish%{V_TK} $RPM_BUILD_ROOT%{xbin}/wish
for f in tclsh%{V_TCL} wish%{V_TK}; do
    ln -sf $f $RPM_BUILD_ROOT%{prefix}/bin/${f/[0-9]*}
done
##############
# install Tix
#
ls %{TIX}/man/*.[13n] | sed 's/^.*\/\([^\/]*\)/\1/' > files.tmp
sed 's/^.*\.\([13n]\)$/%doc \/usr\/share\/man\/man\1\/&.gz/' files.tmp \
	> files.tix
rm files.tmp
export LD_LIBRARY_PATH=$PWD/%{TCL}/unix
pushd %{TIX}
    cd unix
	make INSTALL_ROOT=$RPM_BUILD_ROOT install 
    cd ..
popd
mv $RPM_BUILD_ROOT%{mandir}/mann/tixwish.1 $RPM_BUILD_ROOT%{mandir}/man1
ln -sf tixwish%{V_TIX} $RPM_BUILD_ROOT%{prefix}/bin/tixwish
ln -sf ../../bin/tixwish%{V_TIX} $RPM_BUILD_ROOT%{xbin}
ln -sf ../../bin/tixwish%{V_TIX} $RPM_BUILD_ROOT%{xbin}/tixwish
# for f in tcl%{V_TCL} tk%{V_TK} itcl%{V_ITCL} itk%{V_ITCL}; do
#
#    strip $RPM_BUILD_ROOT%{prefix}/lib/lib${f}.so
# done
#################
# install tclX
#
pushd %{TCLX}/unix
    make INSTALL_ROOT=$RPM_BUILD_ROOT install
popd
#################
# install Expect
#
pushd %{EXP}
	cd example
	for f in *; do
		sed '1s/^#![^ ]*expect/#!\/usr\/bin\/expect/' $f > $f.mod
		mv $f.mod $f
	done
	cd ..
	make INSTALL_ROOT=$RPM_BUILD_ROOT install
popd
##########################
# install the static libs
#
%if %{BUILD_STATIC_LIBS}
    LIB_DIR=$RPM_BUILD_ROOT%{prefix}/lib
#    install %{TCL}/unix/libtcl%{V_TCL}.a $LIB_DIR
#    install %{TKK}/unix/libtk%{V_TK}.a $LIB_DIR
#    install %{ITCL}/itcl/libitcl%{V_ITCL}.a $LIB_DIR
#    install %{ITCL}/itk/libitk%{V_ITCL}.a $LIB_DIR
    install %{EXP}/libexpect%{V_EXP}*.a $LIB_DIR
    install %{TIX}/unix/tk8.3/libtix%{V_TIX}.a $LIB_DIR
    install %{TCLX}/tcl/unix/libtclx%{V_TCLX}.a $LIB_DIR
    install %{TCLX}/tk/unix/libtkx%{V_TCLX}.a $LIB_DIR
%endif
#####################################
# strip all binaries and shared libs
#
if [ -n "$RPM_BUILD_ROOT" ] ; then
    strip $RPM_BUILD_ROOT%{prefix}/bin/* 2>/dev/null || true
    strip $RPM_BUILD_ROOT%{prefix}/lib/lib*.so
fi
############################################################################
#

%files -n tcl -f tcl.mann
%{prefix}/bin/tclsh
%{prefix}/bin/tclsh%{V_TCL}
%{prefix}/lib/libtcl%{V_TCL}.so
%{prefix}/lib/tcl%{V_TCL}
%doc %{TCL}/README
%doc %{TCL}/changes
%doc %{TCL}/license.terms
%doc %{mandir}/man1/tclsh.1.gz
%doc %{mandir}/mann/memory.n.gz

%files -n tk -f tk.mann
%{prefix}/bin/wish
%{xbin}/wish
%{prefix}/bin/wish%{V_TK}
%{xbin}/wish%{V_TK}
%{prefix}/lib/libtk%{V_TK}.so
%{prefix}/lib/tk%{V_TK}
%doc %{TKK}/README
%doc %{TKK}/changes
%doc %{TKK}/license.terms
%doc %{mandir}/man1/wish.1.gz

%files -n itcl -f itcl.mann
#%{prefix}/bin/itclsh
#%{prefix}/bin/itkwish
#%{prefix}/bin/itclsh%{V_ITCL}
#%{prefix}/bin/itkwish%{V_ITCL}
%{prefix}/lib/libitk%{V_ITCL}.so
%{prefix}/lib/libitcl%{V_ITCL}.so
%{prefix}/lib/itcl%{V_ITCL}
%{prefix}/lib/itk%{V_ITCL}
%{prefix}/lib/iwidgets*
#%doc %{mandir}/man1/itclsh.1.gz
#%doc %{mandir}/man1/itkwish.1.gz
%doc %{ITCL}/CHANGES 
%doc %{ITCL}/INCOMPATIBLE
%doc %{ITCL}/README
%doc %{ITCL}/TODO
%doc %{ITCL}/license.terms

%files -n tix -f files.tix
%{prefix}/bin/tixwish
%{prefix}/bin/tixwish%{V_TIX}
%{prefix}/bin/tixindex
%{xbin}/tixwish
%{xbin}/tixwish%{V_TIX}
%{prefix}/lib/libtix%{V_TIX}.so
%{prefix}/lib/tix8.1
%doc %{TIX}/ABOUT* 
%doc %{TIX}/README*
%doc %{TIX}/docs
%doc %{TIX}/demos/c-code
%doc %{TIX}/demos/et

%files -n expect
%{prefix}/bin/expect
%{prefix}/bin/expectk
%{prefix}/bin/timed-run
%{prefix}/bin/timed-read
%{prefix}/bin/ftp-rfc
#%{prefix}/bin/autopasswd
%{prefix}/bin/lpunlock
%{prefix}/bin/weather
%{prefix}/bin/passmass
%{prefix}/bin/rftp
%{prefix}/bin/kibitz
%{prefix}/bin/rlogin-cwd
%{prefix}/bin/xpstat
#%{prefix}/bin/tkpasswd
%{prefix}/bin/dislocate
%{prefix}/bin/xkibitz
%{prefix}/bin/tknewsbiff
%{prefix}/bin/unbuffer
#%{prefix}/bin/mkpasswd
%{prefix}/bin/cryptdir
%{prefix}/bin/decryptdir
%{prefix}/bin/autoexpect
%{prefix}/lib/libexpect%{V_EXP}*.so
%{prefix}/lib/expect%{V_EXP}
%doc %{mandir}/man1/expectk.1.gz
%doc %{mandir}/man1/expect.1.gz
%doc %{mandir}/man1/kibitz.1.gz
%doc %{mandir}/man1/dislocate.1.gz
%doc %{mandir}/man1/xkibitz.1.gz
%doc %{mandir}/man1/tknewsbiff.1.gz
%doc %{mandir}/man1/unbuffer.1.gz
#%doc %{mandir}/man1/mkpasswd.1.gz
%doc %{mandir}/man1/passmass.1.gz
%doc %{mandir}/man1/cryptdir.1.gz
%doc %{mandir}/man1/decryptdir.1.gz
%doc %{mandir}/man1/autoexpect.1.gz
%doc %{mandir}/man3/libexpect.3.gz
%doc %{EXP}/ChangeLog
%doc %{EXP}/HISTORY
%doc %{EXP}/INSTALL
%doc %{EXP}/FAQ
%doc %{EXP}/NEWS
%doc %{EXP}/README
%doc %{EXP}/example

%files -n tclx
%{prefix}/lib/tclX%{V_TCLX}
%{prefix}/lib/tkX%{V_TCLX}
%{prefix}/lib/libtclx%{V_TCLX}.so
%{prefix}/lib/libtkx%{V_TCLX}.so
%{prefix}/bin/tcl
%{prefix}/bin/wishx
%{prefix}/bin/tclhelp
%doc %{mandir}/man3/TclCommandWriting.3.gz
%doc %{mandir}/man3/TclX_KeyedListDelete.3.gz
%doc %{mandir}/man3/TclX_KeyedListGet.3.gz
%doc %{mandir}/man3/TclX_KeyedListGetKeys.3.gz
%doc %{mandir}/man3/TclX_KeyedListSet.3.gz
%doc %{mandir}/man3/TclX_Main.3.gz
%doc %{mandir}/man3/TclX_NewKeyedListObj.3.gz
%doc %{mandir}/man3/Tcl_HandleAlloc.3.gz
%doc %{mandir}/man3/Tcl_HandleFree.3.gz
%doc %{mandir}/man3/Tcl_HandleTblInit.3.gz
%doc %{mandir}/man3/Tcl_HandleTblRelease.3.gz
%doc %{mandir}/man3/Tcl_HandleTblUseCount.3.gz
%doc %{mandir}/man3/Tcl_HandleWalk.3.gz
%doc %{mandir}/man3/Tcl_HandleXlate.3.gz
%doc %{mandir}/man3/Tclx_Init.3.gz
%doc %{mandir}/man3/Tclxcmd_Init.3.gz
%doc %{mandir}/man3/TkX_Main.3.gz
%doc %{mandir}/man3/Tkx_Init.3.gz
%doc %{mandir}/mann/TclX.n.gz
%doc %{mandir}/mann/Tcl_DisplayMemory.n.gz
%doc %{mandir}/mann/Tcl_InitMemory.n.gz
%doc %{mandir}/mann/Tcl_ValidateAllMemory.n.gz
%doc %{mandir}/mann/ckalloc.n.gz
%doc %{mandir}/mann/ckfree.n.gz
%doc %{TCLX}/CHANGES
%doc %{TCLX}/MANIFEST
%doc %{TCLX}/README

%files devel -f all.man3
# Tcl
%{prefix}/lib/tclConfig.sh
%{prefix}/include/tcl.h
%{prefix}/include/tclDecls.h
%{prefix}/include/tclInt.h
%{prefix}/include/tclIntDecls.h
%{prefix}/include/tclPlatDecls.h
%{prefix}/include/tclIntPlatDecls.h
%{prefix}/include/tclPort.h
%{prefix}/include/tclRegexp.h
%{prefix}/lib/libtclstub%{V_TCL}.a
%if %{BUILD_STATIC_LIBS}
%{prefix}/lib/libtcl%{V_TCL}.a
%endif
# Tk
%{prefix}/lib/tkConfig.sh
%{prefix}/include/tk.h
%{prefix}/include/tkDecls.h
%{prefix}/lib/libtkstub%{V_TK}.a
%if %{BUILD_STATIC_LIBS}
%{prefix}/lib/libtk%{V_TK}.a
%endif
# Itcl
%{prefix}/include/itcl.h
%{prefix}/include/itclDecls.h
%{prefix}/include/itclInt.h
%{prefix}/include/itclIntDecls.h
%{prefix}/include/itk.h
%{prefix}/include/itkDecls.h
%{prefix}/lib/libitclstub%{V_ITCL}.a
%{prefix}/lib/libitkstub%{V_ITCL}.a
%if %{BUILD_STATIC_LIBS}
%{prefix}/lib/libitcl%{V_ITCL}.a
%{prefix}/lib/libitk%{V_ITCL}.a
%endif
# Expect
%{prefix}/include/expect.h
%{prefix}/include/expect_tcl.h
%{prefix}/include/expect_comm.h
%{prefix}/include/tcldbg.h
%if %{BUILD_STATIC_LIBS}
%{prefix}/lib/libexpect%{V_EXP}*.a
%endif
# Tix
%{prefix}/include/tix.h
%if %{BUILD_STATIC_LIBS}
%{prefix}/lib/libtix%{V_TIX}.a
%endif
# TclX
%{prefix}/lib/tclxConfig.sh
%{prefix}/lib/tkxConfig.sh
%{prefix}/include/tclExtend.h
%if %{BUILD_STATIC_LIBS}
%{prefix}/lib/libtclx%{V_TCLX}.a
%{prefix}/lib/libtkx%{V_TCLX}.a
%endif

%changelog -n tcl
* Fri Sep 21 2001 - max@suse.de
- replaced the "memory" man page from Tcl with the one from TclX,
  because it is better and there was a filename clash in the two
  packages before.
* Mon Jun 18 2001 - schwab@suse.de
- Fix TK_XINCLUDES in tkConfig.sh.
* Wed Jun 13 2001 - schwab@suse.de
- Add %%suse_update_config.
- Fix for new autoconf (force use of cache file).
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 10 2001 - max@suse.de
- new version of Tcl/Tk: 8.3.3
* Mon Apr 02 2001 - max@suse.de
- security fix for expect (/var/tmp/[...] was in rpath).
* Thu Mar 08 2001 - max@suse.de
- made exclusion of static libs for manual builds more robust
* Wed Mar 07 2001 - max@suse.de
- added xdevel and xshared to #neededforbuild
- using %%if to exclude things when building without static libs.
* Wed Jan 10 2001 - max@suse.de
- Fixed a bug itcl's manpage installation -
  man.macros was not copied into the individual manpages.
* Mon Jan 08 2001 - max@suse.de
- Enabling XIM by default.
  This fixes the compose and deadkey problem. Bug #5234
* Tue Dec 19 2000 - max@suse.de
- Fix for race condition with tmpnam(3) in tclUnixPipe.c
* Thu Nov 30 2000 - ro@suse.de
- try to fix static-lib install
* Thu Nov 30 2000 - max@suse.de
- re-enabled static libs
* Wed Nov 29 2000 - max@suse.de
- renamed tcld to tcl-devel
- new version of Tcl/Tk: 8.3.2
- new version of [incr Tcl]: 3.2
- new version of TclX: 8.3.2
- new version of expect: 5.32
- new version of Tix: 8.1.0
* Fri Nov 24 2000 - schwab@suse.de
- Fix typo in itk makefile.
* Wed Nov 15 2000 - ro@suse.de
- use "export LANG=en_US" to make it build despite col bug
* Wed Sep 13 2000 - max@suse.de
- When running in build or autobuild, configure didn't recognize
  the termios API, because the check needed stdin to be a tty.
  Changed tcl.m4 to fix this by relying on the existance of
  termios.h .
* Wed May 31 2000 - max@suse.de
- New version of Tix: 4.1.007
- Applied Bruce Stephens' Patch to make Tix work with Tcl/Tk 8.3
  http://www.egroups.com/message/tix/494
* Wed May 17 2000 - schwab@suse.de
- Recover bug fixes.
* Thu May 04 2000 - max@suse.de
- new version of Tcl/Tk: 8.3.1
- new version of TclX: 8.2.0
- new version of expect: 5.31
- new version of itcl: 3.1.0
- the package uses RPM_BUILD_ROOT now
- some of schwab's bad documented "fixes" got lost
* Fri Apr 14 2000 - schwab@suse.de
- Use $RPM_OPT_FLAGS as default CFLAGS.
- expect, tix: fix missing declarations.
- itcl: make sure we link to the libraries just built.
* Wed Apr 12 2000 - schwab@suse.de
- expect: make sure ptsname is declared.
- tclX: fix autoconf check for clock_t (look in <time.t>)
* Mon Feb 28 2000 - schwab@suse.de
- Add group tags
- expect: use --localdir with autoreconf, update config.{guess,sub}
- tcl: fix printf formats
* Thu Feb 24 2000 - schwab@suse.de
- Fix 64 Bit Bug in expect.
* Tue Jan 25 2000 - kukuk@suse.de
- Remove autopasswd, mkpasswd and tkpasswd from expect file list.
  They will not work with PAM. Fixes [Bug 638] and [Bug 1554]
* Sat Nov 27 1999 - kukuk@suse.de
- Fix duplicate SIGPWR/SIGLOST on SPARC
* Mon Nov 15 1999 - kasal@suse.de
- fixed a few minor bugs in spec file, mainly:
  call "autoreconf --force" instead of "autoconf" to regenerate
  also the configure scripts in subdirs
  rm *.o before creating the dynamic version of the library
* Mon Nov 08 1999 - max@suse.de
- added some compatibility links:
  /usr/X11R6/bin/wish -> ../../bin/wish8.0
  /usr/X11R6/bin/wish8.0 -> ../../bin/wish8.0
  /usr/X11R6/bin/tixwish -> ../../bin/tixwish4.1.8.0
  /usr/X11R6/bin/tixwish4.1.8.0 -> ../../bin/tixwish4.1.8.0
* Fri Oct 08 1999 - max@suse.de
- integrated tclX8.0.4 as an additional subpackage
* Thu Oct 07 1999 - max@suse.de
- integrated expect-5.30 as an additional subpackage
- changed the names of some tk manpages because they
  interferred with itcl
- removed the tix-sam libraries from tcld
* Thu Sep 30 1999 - max@suse.de
- this is a test version for the beta distribution
- major rework of the spec-file
- renamed the packages from tcl_new, tk_new, etc. to tcl, tk, etc.
- Moved Tk from /usr/X11R6 to /usr.
- Moved Tix from /usr/lib/tcltk to /usr/lib
- Included itcl 3.0.1 as a subpackage
- There is a new subpackage, called tcld that holds all the
  static libs and header files for Tcl, Tk, Tix and Itcl.
- Most file lists are auto-generated now.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Mar 14 1999 - max@suse.de
- new version: 8.0.5
- ro's patch from Mon Sep 21 1998 is not needed anymore
* Tue Mar 02 1999 - ro@suse.de
- changed macro TK to TKK in specfile
  2char macros don't seem to work in current rpm
* Fri Jan 15 1999 - max@suse.de
- fixed path bug with applications linked against libtk which do
  not reside in /usr/X11R6
* Wed Nov 25 1998 - max@suse.de
- corrected some paths in tix to make it find its init script
  and libraries correctly
* Tue Nov 24 1998 - max@suse.de
- merged spec files of tcl_new, tk_new and tix_new into tcl_new.spec
- this changes file is from now on for all three packages
* Mon Nov 23 1998 - max@suse.de
- new version: 8.0.4
- cleand up softlinks and compression for man pages
* Mon Sep 21 1998 - ro@suse.de
- for GLIBC EOPNOTSUPP and ENOTSUP seem to map to same value
- catch duplicate cases for this reason in tclPosixStr.c
* Mon Nov 10 1997 - hf@suse.de
  new version 8.0p1
* Mon Oct 27 1997 - hf@suse.de
  ready for autobuild
* Thu Jul 03 1997 - hf@suse.de
  A new release 8.0b2, the second (and probably final) beta release for
  Tcl 8.0.
* Tue Jun 03 1997 - hf@suse.de
- added static librs and all links for the manpages in
  the /usr/doc/packages/tcl8.0/man
* Tue Apr 15 1997 - hf@suse.de
- manpages    hardlinks removed and added softlinks to
  compressd manpages
  the new directory for the manpages is
  /usr/doc/packeges/tcl8.0/man
%changelog -n tix
* Tue Nov 24 1998 - max@suse.de
- !!! Don't continue this cheanges file !!!
  !!! Use tcl_new.changes instead       !!!
- merged spec-files into tcl_new.spec
* Mon Nov 23 1998 - max@suse.de
- building with new Tcl/Tk version: 8.0.4
- tixwish is now dynamically linked to libtcl
* Wed Sep 23 1998 - ro@suse.de
- added to specfile: applx patch for tcl8.0
* Thu May 14 1998 - hf@suse.de
- english and german README.SuSE
* Mon Feb 23 1998 - hf@suse.de
- changed README.SuSE
* Mon Feb 16 1998 - hf@suse.de
- changes in spec file
* Thu Feb 05 1998 - hf@suse.de
  new package Tix for Tcl/Tk 8.0
  and new directorypath to tcl/tk in /usr/lib/tcltk
%changelog -n tk
* Tue Nov 24 1998 - max@suse.de
- !!! Don't continue this cheanges file !!!
  !!! Use tcl_new.changes instead       !!!
- merged spec-files into tcl_new.spec
* Mon Nov 23 1998 - max@suse.de
- new version: 8.0.4
- cleand up softlinks and compression for man pages
* Thu Jan 08 1998 - hf@suse.de
  bugfix for missing tkConfig8.0.sh
* Mon Nov 10 1997 - hf@suse.de
  new version 8.0p1
* Wed Oct 15 1997 - hf@suse.de
  ready for autobuild
* Thu Jul 03 1997 - hf@suse.de
  A new version 8.0b2. The second (and probably last) beta release of
  Tk 8.0.
* Tue Jun 03 1997 - hf@suse.de
- added static librs and all links for the manpages in
  the /usr/doc/packages/tk8.0/man
* Fri May 16 1997 - hf@suse.de
- added new link
* Mon May 12 1997 - hf@suse.de
- added new patch invisible.patch
* Tue Apr 15 1997 - hf@suse.de
- manpages    hardlinks removed and added softlinks to
  compressd manpages
  the new directory for the manpages is
  /usr/doc/packeges/tcl8.0/man
